---
title: <GET> Job Metadata
slug: lessgetgreater-job-metadata
docTags: 
createdAt: 2023-05-11T14:05:18.000Z
---

&#x20;`Get api/ais/v1.5/job_detail`

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_detail",
  "name": "Job metadata",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "name": "job_id",
        "kind": "required",
        "type": "string",
        "description": "Enter uniquely created job_id received during model analysis.",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "x-api-key",
        "type": "string",
        "children": [],
        "description": "Enter your API key"
      },
      {
        "kind": "required",
        "name": "Org-Id",
        "type": "string",
        "children": [],
        "description": "Enter your organization key"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "KC2y4qJqRPaU4tYK2ivhe",
        "code": "// 200 OK: Returns a JSON object containing the job details for every stage of vulnerability analysis & defense generation.",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "WtBayiHuwETawq1mKFiTV",
        "code": "// 400 Bad request Error: Returns an error message if the application cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, etc.)",
        "language": "400",
        "customLabel": ""
      },
      {
        "id": "y3j22YKtOjDz_rUvvP0Se",
        "language": "403",
        "code": "// 403 Forbidden: Returns an error message if access to the target resource has been denied. (For example- if x-api-key value is incorrect or not given)",
        "customLabel": ""
      },
      {
        "id": "LzcZTbzdXv2tI7qFFrgk4",
        "language": "412",
        "code": "// 412 Precondition failed: Returns an error message if access to the target resource has been denied. (For example- if any of the parameter value is incorrect or license has expired)",
        "customLabel": ""
      },
      {
        "id": "AE4qrPxXn2sc-4WsmvZ4l",
        "language": "429",
        "code": "// 429 Too Many Requests: Returns an error message if the user has sent too many requests(example 15-20 requests in 1 seconds) in a given amount of time.",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "AE4qrPxXn2sc-4WsmvZ4l"
  },
  "examples": {
    "languages": [
      {
        "id": "_KBSEbK47RC8ESSWkpHSw",
        "language": "python",
        "code": "import requests\n\njobID = \"<< Enter Job ID >>\"\nurl = \"https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_detail?job_id=\"+jobID+\"\"\n\npayload = {}\nheaders = {\n  'x-api-key': '########################################',\n  'Org-Id': '####################################################################################################'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)",
        "customLabel": ""
      },
      {
        "id": "taXcr4Mbz18AKGldJE0ce",
        "language": "curl",
        "code": "jobID=\"<< Enter Job ID>>\"\ncurl --location --request GET 'https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_detail?job_id='${jobID}'' \\\n--header 'Accept: application/json' \\\n--header 'x-api-key: ########################################' \\\n--header 'Org-Id: ####################################################################################################'\n",
        "customLabel": ""
      },
      {
        "id": "ty5lakNdu2dRINQjy2Zjx",
        "language": "nodejs",
        "code": "var request = require('request');\n\njobID = '<< Enter Job ID >>'\nvar options = {\n  'method': 'GET',\n  'url': 'https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_detail?job_id='+jobID+'',\n  'headers': {\n    'x-api-key': '########################################',\n    'Org-Id': '####################################################################################################'\n  }\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "-IrX_lvPAol0wYbdGrpqf",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"x-api-key\", \"########################################\");\nmyHeaders.append(\"Org-Id\", \"####################################################################################################\");\n\nvar requestOptions = {\n  method: 'GET',\n  headers: myHeaders,\n  redirect: 'follow'\n};\n\njobID=\"<<Enter JOB ID>>\"\n\nfetch(\"https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_detail?job_id=\"+ jobID+\"\", requestOptions)\n  .then(response => response.text())\n  .then(result => console.log(result))\n  .catch(error => console.log('error', error));",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "_KBSEbK47RC8ESSWkpHSw"
  },
  "description": "The Job Status API allows you to fetch metadata for a given job ID.",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  }
}
```
:::

:::hint{type="info"}
`job_id` To get the Job meta data, enter the job id you recevied during model analysis.

For example, response for image classification job meta data contains e.g., attack type, encryption strategy, Input dimensions, model information, data normalization, number of attack queries, vulnerability threshold, etc.
:::

:::hint{type="info"}
For using Nodejs sample code, install npm package request

Given ample code for python is tested for Python version 3.7

Given Sample code for nodejs and javascript is tested for Node V20LTS 
:::

